Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 380745 - dev-java/icedtea-3.7.0 does not respect LDFLAGS
Summary: dev-java/icedtea-3.7.0 does not respect LDFLAGS
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal QA (vote)
Assignee: James Le Cuirot
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: icedtea-tracker ldflags 364495
  Show dependency tree
 
Reported: 2011-08-26 15:28 UTC by Agostino Sarubbo
Modified: 2018-03-17 19:27 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (icedtea-6.1.10.3:20110826-144213.log.bz2,254.32 KB, text/bzip2)
2011-08-26 15:28 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-08-26 15:28:09 UTC
Created attachment 284705 [details]
build.log

dev-java/icedtea-6.1.10.3 does not respect LDFLAGS
Comment 1 Jonas Stein gentoo-dev 2017-09-03 13:59:25 UTC
what is the status of this ticket? 
dev-java/icedtea-6.1.10.3 is not in the tree anymore, is the problem fixed in the recent versions?
Comment 2 James Le Cuirot gentoo-dev 2017-09-03 14:04:05 UTC
(In reply to Jonas Stein from comment #1)
> what is the status of this ticket? 
> dev-java/icedtea-6.1.10.3 is not in the tree anymore, is the problem fixed
> in the recent versions?

I don't believe it is and the goes for other similar tickets, otherwise I would have closed them.
Comment 3 Arfrever Frehtes Taifersar Arahesis 2018-03-17 19:27:36 UTC
In dev-java/icedtea-3.7.0:

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/icedtea8/jre/lib/amd64/libjsig.so
 * /usr/lib64/icedtea8/jre/lib/amd64/libsaproc.so
 * /usr/lib64/icedtea8/jre/lib/amd64/server/libjsig.so
 * /usr/lib64/icedtea8/jre/lib/amd64/server/libjvm.so